- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections/list#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections/list#body.ListCollectionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections/list#body.aspect_1)

Gets a list of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections#Collection`s.

### HTTP request

Choose an endpoint:
global us   
`GET https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*}/collections`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent data store resource name, in the format of `projects/{project}/locations/{location}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections#Collection`s to return. The service may return fewer than this value. If unspecified, at most 100 `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections#Collection`s will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections/list#google.cloud.discoveryengine.v1alpha.CollectionService.ListCollections` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections/list#google.cloud.discoveryengine.v1alpha.CollectionService.ListCollections` must match the call that provided the page token. |
| `filter` | `string` Filter returned collections by associated data connector data sources. For example: `filter = 'dataSource:jira confluence'`. If the filter is empty, we return all collections under a project and location. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections/list#google.cloud.discoveryengine.v1alpha.CollectionService.ListCollections` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "collections": [ { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections#Collection`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `collections[]` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections#Collection`)`` The `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections#Collection`s. |
| `nextPageToken` | `string` A token that can be sent as `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections/list#body.QUERY_PARAMETERS.page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `discoveryengine.collections.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).